<?php
namespace Drupal\cragtraining_module\Controller;
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Routing\TrustedRedirectResponse;

class ReportsController extends ControllerBase
{
    public function reports_cragtraining(){
        $inscription_nid = \Drupal::request()->query->get('inscription_nid');
        $edition_nid = \Drupal::request()->query->get('edition_nid');
        $informe = \Drupal::request()->query->get('informe');
        switch ($informe) {
            case 'Informes_CRAGTraining\CRAGTraining_attendance.prpt':
                $key5 = md5($edition_nid.$informe.'CragHeberUOC#2021tfg' );
                $redirect = 'https://cragseq.cragenomica.es/reports_cragseq5?edition_nid='.$edition_nid.'&output=pageable/pdf&informe='.$informe. '&key='.$key5;
                break;
            case 'Informes_CRAGTraining\CRAGTraining_certificate.prpt':
                $key5 = md5($inscription_nid.$informe.'CragHeberUOC#2021tfg' );
                $redirect = 'https://cragseq.cragenomica.es/reports_cragseq5?inscription_nid='.$inscription_nid.'&output=pageable/pdf&informe='.$informe. '&key='.$key5;
                break;
            case 'Informes_CRAGTraining\CRAGTraining_inscription_list.prpt':
                $key5 = md5($edition_nid.$informe.'CragHeberUOC#2021tfg' );
                $redirect = 'https://cragseq.cragenomica.es/reports_cragseq5?edition_nid='.$edition_nid.'&output=openxmlformats&informe='.$informe. '&key='.$key5;
                break;
            default:
                \Drupal::logger('ReportsController')->notice('Valor no controlat a $informe');
                break;
        }        
        return new TrustedRedirectResponse($redirect);
    }
}